package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.EntryBase;

/**
 * HMC控制台管理的指定系统信息(V8)
 *
 * @author sxp
 * @since May 7, 2018
 */
public class ManagedSystemEntry extends EntryBase {
    private ManagedSystemContent content;

    public ManagedSystemEntry() {
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String getTitle() {
        return title;
    }

    @Override
    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String getPublished() {
        return published;
    }

    @Override
    public void setPublished(String published) {
        this.published = published;
    }

    @Override
    public Author getAuthor() {
        return author;
    }

    @Override
    public void setAuthor(Author author) {
        this.author = author;
    }

    public ManagedSystemContent getContent() {
        return content;
    }

    public void setContent(ManagedSystemContent content) {
        this.content = content;
    }

    @Override
    public String toString() {
        return "ManagedSystemEntryV8 [id=" + id + ", title=" + title + ", published=" + published + ", link=" + link
            + ", author=" + author + ", content=" + content + "]";
    }
}
